//
//  SceneDelegate.swift
//  CaptionsGeneration
//
//  Created by Jasdev Singh on 8/27/20.
//

import UIKit
import SwiftUI

final class SceneDelegate: UIResponder, UIWindowSceneDelegate {
	var window: UIWindow?

	func scene(_ scene: UIScene, willConnectTo session: UISceneSession, options connectionOptions: UIScene.ConnectionOptions) {
		let window = (scene as? UIWindowScene)
			.map(UIWindow.init)

		window?.rootViewController = UIHostingController(
			rootView: ContentView(
				store: .init(
					initialState: .init(),
					reducer: transcriptionReducer,
					environment: ()
				)
			)
		)

		self.window = window

		window?.makeKeyAndVisible()
	}
}
